Package org.apache.wiki.i18n

# Class DefaultInternationalizationManager

java.lang.Object
org.apache.wiki.i18n.DefaultInternationalizationManager

All Implemented Interfaces:
  `InternationalizationManager`

public class DefaultInternationalizationManager extends Object implements InternationalizationManager
Manages all internationalization in JSPWiki.

Since:
  2.6

## Field Summary

### Fields inherited from interface org.apache.wiki.i18n.InternationalizationManager

`CORE_BUNDLE, DEF_TEMPLATE`

## Constructor Summary

Constructors
Constructor
Description
`DefaultInternationalizationManager(org.apache.wiki.api.core.Engine engine)`
Constructs a new InternationalizationManager.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.i18n.InternationalizationManager

`get, get, get, getBundle`

## Constructor Details

### DefaultInternationalizationManager

public DefaultInternationalizationManager(org.apache.wiki.api.core.Engine engine)
Constructs a new InternationalizationManager.

Parameters:
  `engine` - To which engine this belongs to